@use './theme';

@use './google_fonts';

@use '~@material/tab-bar/mdc-tab-bar';
@use '~@material/tab-bar';

@use '~@material/tab-scroller/mdc-tab-scroller';
@use '~@material/tab-scroller';

@use '~@material/tab-indicator/mdc-tab-indicator';
@use '~@material/tab-indicator';

@use '~@material/tab/mdc-tab';
@use '~@material/tab';

@use '~@material/card/mdc-card';
@use '~@material/card';

@use '~@material/button/mdc-button';
@use '~@material/button';

@use '~@material/textfield/mdc-text-field';
@use '~@material/textfield';

@use '~@material/icon-button/mdc-icon-button';
@use '~@material/icon-button';

@use '~@material/list/mdc-list';
@use '~@material/list';

@use '~@material/menu-surface/mdc-menu-surface';
@use '~@material/menu-surface';

@use '~@material/menu/mdc-menu';
@use '~@material/menu';

@use '~@material/form-field/mdc-form-field';
@use '~@material/form-field';

@use '~@material/checkbox/mdc-checkbox';
@use '~@material/checkbox';

@use '~@material/select/mdc-select';
@use '~@material/select';

@use '~@material/switch/styles';

@use '~@material/data-table/data-table';

@use 'pikaday/scss/pikaday';

$primary: #014A5D;
$secondary: #1d81a1;
$light: #D2D5D7;
$dark: #585f57;
$warning: #f7951a;
$danger: #b33052;
$success: #70a03c;

$headings-color: $primary;
$link-color: #176781;
$link-hover-color: $secondary;
$sidebar-nav-link-color: rgba(255,255,255,0.75);

$accordion-button-active-bg: $primary;
$accordion-button-active-color: white;

@import '../../../node_modules/@coreui/coreui/scss/coreui';

@include data-table.core-styles;
@include data-table.theme-baseline;

.main-header-container {
  box-shadow: 0 5px 10px -5px #bcbcbc;
}

main {
  transition: margin-left 0.35s;
}

a.header-brand img {
  min-height: 40px;
  max-height: 40px;
}

@media (max-width: 768px) {
  a.header-brand img {
    max-width: 60px;
  }
  a.header-brand sup {
    display: none;
  }
}

footer img.lean-footer {
  max-height: 70px;
}

header .account-image {
  max-height: 50px;
  max-width: 220px;
  margin-left: 15px;
}

.sidebar-nav {
  position: fixed;
  height: 100%;
  width: var(--cui-sidebar-width);
}

.sidebar-nav a.nav-group-toggle.open::after {
  transform: rotate(180deg) !important;
}

.datepicker {
  height: 56px;
  border: none;
  border-bottom: 1px solid gray;
  background-color: whitesmoke;
  padding: 0 10px;
}

.datepicker:disabled {
  background-color: #fafafa;
  color: rgba(0, 0, 0, 0.38);
}

.main-header-container {
  position:sticky;
  top: 67px;
  z-index:100;
}

#contentWrapper {
  min-width: 0;
}

#message-box {
  margin-bottom: 0 !important;
}

.mdc-menu-surface--open {
  z-index: 1030;
}

.unread-notification-badge {
  background: var(--cui-link-hover-color);
  color: white;
  border-radius: 62%;
  position: relative;
  left: 48px;
  top: -14px;
  margin-left: -28px;
  width: auto;
  font-size: 12px;
  padding: 1px 8px;
  text-align: center;
  z-index: 100;
}

.notification-dropdown-text {
  color: #13454F;
}

.notification-dropdown-list {
  min-width: 230px;
}

.notifications-arrow {
  margin: auto 0;
  right: 4px;
}

.notification-dropdown-title {
  text-align: center;
  padding-bottom: 7px;
}

.notification-date {
  margin-bottom: 0;
  font-size: 12px;
}

.mdc-tooltip__surface {
  white-space: inherit;
  max-width: 400px !important;
}

.mdc-tooltip-anchor {
  cursor: pointer;
}

.mdc-tooltip.mdc-tooltip--rich .mdc-tooltip__surface{
  text-align: left;
  background-color: rgba(0, 0, 0, 0.6) !important;
}

.mdc-tooltip__content{
  color: white !important;
}

.mdc-tooltip.tooltip-longtext{
  word-wrap: break-word;
  white-space: break-spaces;
}

.clear-icon {
  color: rgba(0, 0, 0, 0.54);
  position: absolute;
  right: 26px;
}

.matching-relevant,
.matching-relevant > div.mdc-select__anchor,
.lean-multiselect.matching-relevant > label {
  background-color: var(--cui-highlight-bg) !important;
}

.mdc-form-field.matching-relevant {
  padding-right: 10px;
}

.expose-relevant {
  border-left: 3px solid #62c2d0;
}

